//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "main.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TOknoGlowne *OknoGlowne;
//---------------------------------------------------------------------------
__fastcall TOknoGlowne::TOknoGlowne(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TOknoGlowne::SpeedButton1Click(TObject *Sender)
{
  Close();
}
//---------------------------------------------------------------------------
void __fastcall TOknoGlowne::SpeedButton2Click(TObject *Sender)
{
  try
  {
    float dystans  = StrToFloat( EditDystans->Text );
    float paliwo   = StrToFloat( EditPaliwo->Text );
    float spalanie = ( paliwo * 100 ) / dystans;

    LabelSpalanie->Caption = FloatToStrF( spalanie, ffFixed, 6, 2 ) + " l/100km";
  }
  catch( ... )
  {
    LabelSpalanie->Caption = "Co nie tak z danymi!";
  }        
}
//---------------------------------------------------------------------------
void __fastcall TOknoGlowne::Image1MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y)
{
   // *** Sprawdzam czy nacisnieto lewy przycisk myszy
   if( Button == mbLeft )
   {
     myszkaWcisnieta = true; // *** Zapamietuje fakt nacisniecia
     startX = X;             // *** Zapamietuje pozycje kursora myszy
     startY = Y;
   }
}
//---------------------------------------------------------------------------
void __fastcall TOknoGlowne::Image1MouseUp(TObject *Sender, TMouseButton Button,
      TShiftState Shift, int X, int Y)
{
   if( Button == mbLeft ) // *** Zapamietuje, ze puszczono lewy przcisk myszy
     myszkaWcisnieta = false;
}
//---------------------------------------------------------------------------
void __fastcall TOknoGlowne::Image1MouseMove(TObject *Sender, TShiftState Shift,
      int X, int Y)
{
   // *** Kursor myszki przesunal sie
   if( myszkaWcisnieta ) // *** Czy lewy przycisk myszy wcisniety?
   {
     Left += X - startX; // *** Zmien wspolrzedne lewego gornego rogu okna
     Top  += Y - startY; // *** o wartosc przesuniecia
   }
}
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------


